Name:           libid3tag
Version:        0.15.1b
Release:        2
Summary:        ID3 tag manipulation library

Group:          System Environment/Libraries
License:        GPL
URL:            http://www.underbit.com/products/mad/
Source0:        http://download.sourceforge.net/mad/%{name}-%{version}.tar.gz
# Originally from the Debian package.
Source1:        %{name}.pc
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:  	zlib >= 1.1.4
BuildRequires:  zlib-devel >= 1.1.4

%description
libid3tag is a library for reading and (eventually) writing ID3 tags,
both ID3v1 and the various versions of ID3v2.

%package        devel
Summary:        libid3tag development files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}, pkg-config, zlib-devel

%description    devel
ID3 tag library development files.


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
%{__make} %{?_smp_mflags}

cp .libs/libid3tag.so.0 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
%{__make} %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q .libs/libid3tag.a ./libid3tag.so.0


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
cp %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/pkgconfig/id3tag.pc
chmod 644 $RPM_BUILD_ROOT%{_libdir}/pkgconfig/id3tag.pc
chmod 644 $RPM_BUILD_ROOT%{_libdir}/libid3tag.*a

mkdir -p ${RPM_BUILD_ROOT}/usr/lib
cd ${RPM_BUILD_ROOT}/usr/lib
ln -sf ../..%{_libdir}/* .


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system,-)
%doc CHANGES COPYING COPYRIGHT CREDITS README TODO
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/id3tag.h
%{_libdir}/*.la
%{_libdir}/pkgconfig/id3tag.pc
/usr/lib/*.la


%changelog
* Fri Apr 04 2008 Michael Perzl <michael@perzl.org> - 0.15.1b-2
- fixed some minor SPEC file issues

* Wed Jan 30 2008 Michael Perzl <michael@perzl.org> - 0.15.1b-1
- first version for AIX V5.1 and higher
